> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aquilax.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Summary Report

> Returns an JSON documentation with the number of projects, scans, line of code and files, along with the vulnerabilites



## OpenAPI

````yaml get /api/v2/report
openapi: 3.0.0
info:
  title: AquilaX AI API Docs
  version: '2.0'
  description: >
    Welcome to the API documentation for AquilaX. Integrate AquilaX for advanced
    data processing and analytics in your applications. Key features include
    seamless data ingestion, powerful processing capabilities, analytics tools,
    real-time updates, and robust security measures. Get started with API keys,
    explore endpoints, understand formats, and implement error
    handling.Authorization is required for all end-points, excluding the one
    under Public Section. To authenticate, a Personal Access Token `PAT` must be
    included in the request header with the name `X-AX-KEY`. Happy coding!
servers:
  - url: https://aquilax.ai
    description: Cloud Instance
security:
  - ApiKeyAuth: []
tags:
  - name: Health
    description: Endpoints for metrics and health check
  - name: Profile
    description: Endpoints for managing user profiles
  - name: Public Scan
    description: Endpoints for scanning a public git repo
  - name: Admin
    description: Endpoints for AquilaX Worker
paths:
  /api/v2/report:
    get:
      tags:
        - Public Scan
      summary: Summary Report
      description: >-
        Returns an JSON documentation with the number of projects, scans, line
        of code and files, along with the vulnerabilites
      parameters:
        - name: org
          in: query
          required: true
          schema:
            type: string
        - name: group
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Group Results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericJSON'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GenericJSON:
      type: object
      description: |
        JSON Object or Array containing the data in request. 
        Please do your own request to validate the JSON in output, 
        as it may contain different information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-AX-KEY

````